OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Variables
cheat_type.h File Reference

Types related to cheating. More...

Go to the source code of this file.

## Data Structures
struct | Cheat
| Info about each of the cheats. More...
struct | Cheats
| WARNING! Do not remove entries in Cheats struct or change the order of the existing ones! Would break downward compatibility. More...

## Variables
Cheats | _cheats
| All the cheats.

## Detailed Description

Types related to cheating.

Definition in file cheat_type.h.

## Variable Documentation

Cheats _cheats

All the cheats.

Definition at line 18 of file cheat.cpp.

Referenced by ChangeTownRating(), CheatHasBeenUsed(), CheckAllowRemoveRoad(), CheckAllowRemoveTunnelBridge(), CheckforTownRating(), CheckOrders(), ClickSetProdCheat(), CmdBuildTunnel(), FindNearestHangar(), Load_CHTS(), MaybeCrashAirplane(), and Save_CHTS().